package org.springblade.modules.app.service;

import org.springblade.modules.app.common.dto.*;
import org.springblade.modules.app.common.query.StatBaseQuery;
import org.springblade.modules.app.entity.VerifyStationDTO;

import java.util.List;

/**
 * <p>
 * 用户信息表 服务类
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
public interface IStatReportService {

    StatHeatMapTopDTO statHeatMapTop(StatBaseQuery query);

    List<StatHeatMapMidDTO> statHeatMapMid(StatBaseQuery query);

    StatHeatMapFootDTO statHeatMapFoot(StatBaseQuery query);

    List<StatWaybillDTO> prepList(StatBaseQuery query);

    List<StatWaybillDTO> wayList(StatBaseQuery query);

    List<StatWaybillDTO> finishList(StatBaseQuery query);

    List<StatBySalerDTO> statBySaler(StatBaseQuery query);

    List<StatByAgentUserDTO> statByAgent(StatBaseQuery query);

    List<StatByBuyerDTO> statByBuyer(StatBaseQuery query);

    List<StatExpOrderDTO> statExpOrder(StatBaseQuery query);

    List<StatViolationDTO> statViolation(StatBaseQuery query);

    List<VerifyStationDTO> statVerifyStationOrderNum(StatBaseQuery query);

    List<StatByBuyerDTO> statByBuyerHistory(StatBaseQuery query,List<Long> buyerUserIdList);
}
